@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@1,600&display=swap');

/*------color------*/

*{
   scroll-behavior: smooth;
}

:root{
    --body-color:#18191A;
    --nav-color:#242526;
    --side-nav:#242526;
    --text-color:white;
    --search-color:white;
    --logo-text:red;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    height: 100vh;
    background-color: var(--body-color);
}

body.dark{
   --body-color:white;
   --nav-color:#e31c24;
   --side-nav:black;
   --text-color:black;
   --search-color:white;
   --search-text:black;
   --logo-text:#242526;
}



 nav{
    position: fixed;
    top: 0;
    left: 0;
    height: 70px;
    width: 100%;
    background-color: var(--nav-color);
    z-index: 20;
 }

 nav .nav-bar{
    position: relative;
    height: 100%;
    max-width: 1000px;
    width: 100%;
    background-color: var(--nav-color);
    margin: 0 auto;
    padding: 0 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
 }

 nav .nav-bar .logo  a{
    font-size: 25px;
    font-weight: 500;
    color: white;
    text-decoration: none;

 }

 nav .nav-bar  .check{
  font-size: 26px;
  padding-right: 750px;
  font-weight: 500;
  color: var(--logo-text);
  text-decoration: none;

}


 .nav-bar .nav-links{
    display: flex;
    align-items: center;
 }

 .nav-bar .nav-links li{
    margin: 0 5px;
    list-style: none;

 }

 .nav-bar .nav-links a{
    position: relative;
    font-size: 17px;
    font-weight: 500;
    color:white;
    text-decoration: none;
    padding: 10px;
 }

 .darkmode .darklight ,
 .darkmode .search{
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 5px;
 }

 .darklight i, .search i{
    position: absolute;
    color:white;
    font-size: 22px;
    cursor: pointer;
   transition: all 0.3 ease;
 }

 .darklight i.sun{
    opacity: 0;
    pointer-events: none;
 }

 .darklight.active i.sun{
    opacity: 1;
    pointer-events: auto;
 }


 .darklight.active i.moon{
    opacity: 0;
    pointer-events: none;
 }




 .search i.cancel{
    opacity: 0;
    pointer-events: none;
 }


 .search.active i.cancel{
    opacity: 1;
    pointer-events: auto;
 }

 .search.active i.xb{
    opacity: 0;
    pointer-events: none;
 }


 .one{
   z-index: 10;
   position: relative;
   top: 150px;
   max-width: 1000px;
   width: 100%;
   margin: 0 auto;
   padding: 0 30px;
   display: flex;
   align-items: center;
   justify-content: space-between;
   transition: 1s;
}

.one h1{
   color: var(--text-color);
   padding-top: 25%;
   font-size: 40px;
}

.one img{
   position: relative;
   width: 500px;
   left: 7%;
   padding-top:5%;
  
  
}


.one button{
   width: 130px;
   height: 50px;
   margin-top: 10%;
   border-radius: 5px;
   border:none;
   transition: 1s;
   background-color: white;
   color:  black;
    box-shadow: rgb(173, 3, 3) 0px 8px 24px, rgb(173, 3, 3) 0px 16px 56px,rgb(173, 3, 3) 0px 24px 80px;
    transition: 1s;
  border: 1px solid #e31c24;
}

.footer button{
  box-shadow: #e31c24 0px 8px 24px, #e31c24 0px 16px 56px,#e31c24 0px 24px 80px;
  transition: 1s;
  color:#e31c24;
}

.one button:hover{
  border-radius: 40px;
  transition: 1s;
 
}

.footer  p:hover{
  transition: 1s;
  transform: translateX(20px);
}

.footer  p{
  transition: 1s;
}



.two{
   position: relative;
   top: 340px;
   max-width: 1000px;
   width: 100%;
   margin: 0 auto;
   padding: 0 30px;
   display: block;
   align-items: center;
   justify-content: space-between;
}

.two h1{
   color: var(--text-color);
   font-size: 35px;
   text-align: center;
   padding-left: 0px;
}


.form {
   background-color: #242526 ;
   border-radius: 20px;
   box-sizing: border-box;
   height: 350px;
   padding: 20px;
   width: 590px;
   margin-top: 10%;
   margin-left: 20%;
   padding-top: 5%; 
   margin-bottom: 60%;
  transition: 1s;
 }

 .form:hover{
  box-shadow: #e31c24 0px 8px 24px, #e31c24 0px 16px 56px,#e31c24 0px 24px 80px;
    transition: 1s;
 }
 
 .title {
   color: #eee;
   font-family: sans-serif;
   font-size: 36px;
   font-weight: 600;
   margin-top: 30px;
 }
 
 .subtitle {
   color: #eee;
   font-family: sans-serif;
   font-size: 16px;
   font-weight: 600;
   margin-top: 10px;
 }
 
 .input-container {
   height: 50px;
   position: relative;
   width: 100%;
 }
 
 .ic1 {
   margin-top: 40px;
 }
 
 .ic2 {
   margin-top: 30px;
 }
 
 .input {
   background-color: #ffffff;
   border-radius: 12px;
   border: 0;
   box-sizing: border-box;
   color: #eee;
   font-size: 18px;
   height: 100%;
   outline: 0;
   padding: 4px 20px 0;
   width: 100%;
 }
 
 .cut {
   background-color: #242526 ;
   border-radius: 10px;
   height: 20px;
   left: 20px;
   position: absolute;
   top: -20px;
   transform: translateY(0);
   transition: transform 200ms;
   width: 200px;

   
 }
 
 .cut-short {
   width: 50px;
 }
 
 .input:focus ~ .cut,
 .input:not(:placeholder-shown) ~ .cut {
   transform: translateY(8px);
   border: 1px solid white;
 }
 
 .placeholder {
   color: #65657b;
   font-family: sans-serif;
   left: 20px;
   line-height: 14px;
   pointer-events: none;
   position: absolute;
   transform-origin: 0 50%;
   transition: transform 200ms, color 200ms;
   top: 20px;
 }
 
 .input:focus ~ .placeholder,
 .input:not(:placeholder-shown) ~ .placeholder {
   transform: translateY(-30px) translateX(10px) scale(0.75);
 }
 
 .input:not(:placeholder-shown) ~ .placeholder {
   color: #808097;
 }
 
 .input:focus ~ .placeholder {
   color: white;
 }

 .input{
  color: black;
 }
 
 .submit {
   background-color: #e31c24;
   border-radius: 12px;
   border: 0;
   box-sizing: border-box;
   color: #eee;
   cursor: pointer;
   font-size: 18px;
   height: 50px;
   margin-top: 38px;
   outline: 0;
   text-align: center;
   width: 100%;
 }
 
 .submit:active {
   background-color: rgb(185, 41, 65);
 }

 .input-container select{
   width: 200px;
   height: 50px;
   border-radius: 4px;
   font-size: 18px;
 }

 

  iframe{
    position:  relative  ;
    top: 500px;
    left: 210px;
    max-width: 1000px;
    width: 550px;
    margin: 0 auto;
    padding: 0 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
 }

 .four{
   position: relative;
   top: 200px;
   right: 250px;
   max-width: 1000px;
   width: 400px;
   height: 30vh;
   margin: 0 auto;
   padding: 0 30px;
   display: block;
   align-items: center;
   justify-content: space-between;
   color:var(--text-color);
 }

 .five {
  position: relative;
   top: 500px;
   left: 0px;
   max-width: 1000px;
   width: 100%;
   margin: 0 auto;
   padding: 0 30px;
   display: flex;
   align-items: center;
   justify-content: space-between;
 }

 .videos{
  
  position: relative;
  top:0px;
  height: 400px;
   left: 0px;
   max-width: 1000px;
   width: 100%;
   margin: 0 auto;
   padding: 0 30px;
   display: flex;
   align-items: center;
   justify-content: space-between;
 }

 .videos .vid{
  background-color: rgb(0, 0, 0);
  width: 400px;
  height: 440px;
  margin-right: 2%;
  border-radius: 20px;
 }



 .videos .vid video{
  width: 100%;
  background-color: black;
  height: 110%;
  border-radius: 20px;
  transition: 1s;

  
 }

 .videos .vid video:hover{
  box-shadow: rgb(173, 3, 3) 0px 8px 24px, rgb(173, 3, 3) 0px 16px 56px,rgb(173, 3, 3) 0px 24px 80px;
    transition: 1s;
 }



.playPauseBtn{
  position: relative;
  background-color: rgba(255, 0, 0, 0.7);
  color: white;
  padding: 10px 20px;
  font-size: 30px; 
  border: none; 
  border-radius: 50%;
  cursor: pointer; 
  margin-left: auto; margin-right: auto; display: block;
  top: -57%;
  transform: translateY(-50%);
  left:2%;
  width: 70px;
  height:70px;
}

.end{
  position: relative;
  top:300px;
  height: 400px;
   left: 0px;
   max-width: 1000px;
   width: 100%;
   margin: 0 auto;
   padding: 0 30px;
   display: flex;
   margin-bottom: 200px;
   transition: 3s;
   align-items: center;
   justify-content: space-between;
}


.end h1{
  font-size: 30px;
  color:  var(--text-color);
  font-weight: 1000;
}

.end img{
  padding-left: 5%;
  transition: 3s;
}

.end img:hover{
  transform: rotate(360deg);
  transition: 3s;
}


 .five img{
  width: 1000px;
 }

 .footer{
   position: relative;
   top: 350px;
   left: 0;
   height: 300px;
   width: 100%;
   background-color: #242526;
 
   background-position: center;
   background-size: cover;
   z-index: 20;
   padding: 0 30px;
   padding-bottom: 1%;
   display: block;
   align-items: center;
   justify-content: space-between;
   color: white;
 }

 .footer .divs{
  position: relative;
  top: 0;
   left: 50px;
   max-width: 1000px;
   width: 100%;
   height: 110%;
   margin: 0 auto;
   padding: 0 5px;
   padding-top: 0;
   display: flex;
   align-items: center;
  justify-content: space-between; 


  
 }

 .divs button{
  width: 150px;
  height: 50px;
  border-radius: 10px;
  border: none;
  margin-left: 50%;
  transition: 1s;

 }

 .divs button:hover{
    scale:1.1;
    transition: 1s;
    border-radius: 45%;
    color: white;
    background-color: #e31c24;
 }

 .divs button i{
  font-size: 25px;
  color: white;
 }



.divs div{
  margin-right:3%;
  width: 210px;
 
}

.footer div .h11{
  font-size: 40px;
  width: 150%;
  position: relative;
  right: 150px;
}


.divs div a{
  text-decoration: none;
  color:rgb(255, 255, 255);
}

 .divs img{
  padding-top: 10px;
  width: 60%;
  height: 40%;
  border-radius: 10px;
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  margin-left: 20%;
  margin-top: 2%;
  max-width: 1200px;
 }

 .footer2{
  position: relative;
  top: 350px;
  left: 0;
  width: 100%;
  background-color: black;
  background-position: center;
  background-size: cover;
  z-index: 20;
  padding: 0 30px;
  display: block;
  align-items: center;
  justify-content: space-between;
  color: white;
  height: 10vh;
 }

 .footer2 div{
 padding-top: 2%;
  text-align: center;
  color: white;
  font-size: 20px;
 }

 .animation1{
  opacity: 0;
  transform: translateX(100px);
  animation: moveup 1s linear forwards;
}

.animation2{
  opacity: 0;
  transform: translateX(-150px);
  animation: moveup 1s linear forwards;
}

.animation3{
  opacity: 0;
  transform: translateX(150px);
  animation: moveup 1s linear forwards;
}

 @keyframes moveup{
  100%{
      opacity: 1;
      transform: translateX(0);
      transform: rotateY(0);
  }                                                                                           
}



@media (max-width: 600px) {


.logo {
  padding-top: 3%;
}



  .check {
    margin-top: 3.1%;
   margin-left: 1%;
  }

  .form{
    left: 0;
    margin-left: 0;
  }

  .videos{
    display: block;
  }

  .vid{
    margin-left: 0;
    padding-left: 0;
    left: 0;
    width: 100px;
  }

  .vid2{
    display: none;
  }

  .vid3{
    display: none;
  }


  .footer .divs{
    display: block;
  }

  .footer{
    height: 700px;
    margin-top: 30%;
  }

  .footer .divs .h11{
    padding-top: 10%;
    margin-left: 50%;
    width: 450px;
    font-size: 25px;
    margin-bottom: 20%;
  }

  .call{
    padding-top: 10%;
  }

  .videos{
    display: none;
  }

  .one button{
    display: none;
  }

  .footer button{
    margin-top: 20%;
    margin-left: 16%;
  }


  @media (max-width: 768px) {
    .one {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        margin: 0;
        padding: 0;
    }

    .footer .divs div {
      margin: 10px 0;
  }

    .one img {
        position: absolute;
        top: 0;
        left:0px;
      
        width: 100%; /* Растянуть по ширине экрана */
        max-height: 50vh; /* Ограничить высоту изображения */
        object-fit: cover; /* Обрезать по размеру */
    }

    .one h1 {
        margin-top: 40vh; /* Чтобы текст начался ниже изображения */
        font-size: 20px;
    }

    .one .ithouse{
      margin-left: 25%;
      margin-bottom: 2%;
    }


    .one button {
        margin-top: 20px;
    }



  .form {
      width: 100%;
      margin-bottom:500px;
  }



  .videos .vid {
      margin: 10px auto;
      margin-left: 15%;
      width: 70%;

  }

  .footer {
      padding: 15px;
  }


  .end {
    display: none;
  }

  .footer2{
    display: none;
  }

  .two h1{
    display: none;
  }


}

}



